Skala
Serial numbers

List all serial numbers

Fetches a complete list of serial number records available in the system.

GET
/api/serial_numbers

Fetches a complete list of serial number records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

isUsed?boolean
isCompleted?boolean
stockVariant.id?integer
stockVariant.id[]?array<>
stockVariant.stock.id?integer
stockVariant.stock.id[]?array<>
invoice.id?integer
invoice.id[]?array<>
serialNumber?string

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/serial_numbers"
[
  {
    "id": 0,
    "workOrder": {
      "id": 0,
      "code": "string",
      "serialNumbers": [
        {}
      ]
    },
    "serialNumber": "string",
    "isUsed": true,
    "isCompleted": true,
    "stockVariant": "/entity/1",
    "invoice": {
      "id": 0,
      "code": "string"
    },
    "workOrderMaterial": {
      "workOrder": {
        "id": 0,
        "code": "string",
        "serialNumbers": [
          {}
        ]
      }
    },
    "invoiceItem": {
      "id": 0,
      "invoice": {
        "id": 0,
        "code": "string"
      }
    }
  }
]